Package pyplusplus :: Package decl_wrappers :: Module indexing_suite1 :: Class indexing_suite1_t

# type indexing_suite1_t

source code

    object --+
             |
            indexing_suite1_t

This class helps user to export STD containers, using built-in Boost.Python indexing suite.

Instance Methods

__init__(self, container_class, no_proxy=None, derived_policies=None) | source code

Properties
| container_class reference to the parent( STD container ) class
| element_type reference to container value_type( mapped_type ) type
| container_traits reference to container traits.
| no_proxy NoProxy value, the initial value depends on container element_type( mapped_type ) type.
| derived_policies This proprty contains DerivedPolicies string.
| include_files Return list of header files to be included in generated code

Method Details

### __init__(self, container_class, no_proxy=None, derived_policies=None)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### container_class

reference to the parent( STD container ) class

### element_type

reference to container value_type( mapped_type ) type

### container_traits

reference to container traits. See pygccxml documentation for more information.

### no_proxy

NoProxy value, the initial value depends on container element_type( mapped_type ) type. In most cases, Py++ is able to guess this value, right. If you are not lucky, you will have to set the property value.

Get Method:
  _get_no_proxy(self)
Set Method:
  _set_no_proxy(self, no_proxy)

### derived_policies

This proprty contains DerivedPolicies string. It will be added as is to the generated code.

Get Method:
  _get_derived_policies(self)
Set Method:
  _set_derived_policies(self, derived_policies)

### include_files

Return list of header files to be included in generated code